Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class BinaryExpressionTransformer

- org.codehaus.groovy.transform.sc.transformers.BinaryExpressionTransformer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpressionTransformer (StaticCompilationTransformer staticCompilationTransformer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static boolean` | `isNullConstant(Expression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public BinaryExpressionTransformer(StaticCompilationTransformer staticCompilationTransformer)

  - ### Method Detail

    - #### protected static boolean isNullConstant(Expression expression)